<?php

namespace Litecms\Blog\Policies;

use Litecms\Blog\Models\Blog;
use Litepie\User\Interfaces\UserPolicyInterface;

trait BlogWorkflow
{

    /**
     * Determine if the given user can approve the given blog.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function approve(UserPolicyInterface $authUser, Blog $blog)
    {
        if ($authUser->canDo('blog.blog.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blog.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function submit(UserPolicyInterface $authUser, Blog $blog)
    {
        if ($authUser->canDo('blog.blog.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blog.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function publish(UserPolicyInterface $authUser, Blog $blog)
    {
        if ($authUser->canDo('blog.blog.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blog.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unpublish(UserPolicyInterface $authUser, Blog $blog)
    {
        if ($authUser->canDo('blog.blog.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blog.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function archive(UserPolicyInterface $authUser, Blog $blog)
    {
        if ($authUser->canDo('blog.blog.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blog.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unarchive(UserPolicyInterface $authUser, Blog $blog)
    {
        if ($authUser->canDo('blog.blog.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blog.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function reject(UserPolicyInterface $authUser, Blog $blog)
    {
        if ($authUser->canDo('blog.blog.reject')) {
            return true;
        }

        return false;
    }

}
